Summary: 	Live syncing (mirroring) daemon
Name: 		lsyncd
Version: 	2.1.5
Release: 	6.1
License: 	GPL
Group: 		Productivity/Networking/Other
URL: 		http://code.google.com/p/lsyncd/

Source0: 	http://lsyncd.googlecode.com/files/lsyncd-%{version}.tar.bz2
%if 0%{?suse_version}
Source1:	%{name}-suse.init
%else
Source1: 	%{name}.init
%endif
Source2:	%{name}.conf
Source3:	rsync_sudo.sh
Source4: 	%{name}.sysconfig
Source5:	%{name}.service
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%if 0%{?suse_version}
BuildRequires:	pkg-config
%else
BuildRequires:	pkgconfig
%endif
%if 0%{?suse_version} > 1210
BuildRequires: 	lua51-devel
%else
BuildRequires:	lua-devel >= 5.1
%endif
BuildRequires:	asciidoc
Requires: 	/sbin/chkconfig
Requires: 	/sbin/service
Requires: 	rsync

%description
Lsyncd(1) watches a local directory trees event monitor interface 
(inotify). It aggregates and combines events for a few seconds and 
then spawns one (or more) process(es) to synchronize the changes. 
By default this is rsync(1). Lsyncd is thus a light-weight live mirror
solution that is comparatively easy to install not requiring new 
filesystems or blockdevices and does not hamper local filesystem 
performance.

%prep
%setup

%build
export LIBLUA_LIBS=$(pkg-config --libs lua)
export LIBLUA_CFLAGS=$(pkg-config --cflags lua)
%configure --docdir=%{_docdir}/%{name}
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR="%{buildroot}"

%{__mkdir_p} %{buildroot}%{_localstatedir}/log/lsyncd
%{__mkdir_p} %{buildroot}%{_sbindir}

%if 0%{?suse_version} >= 1310 || 0%{?sles_version} >= 12 || 0%{?rhel} >= 7
%{__install} -D -m0644 %{S:5} %{buildroot}/usr/lib/systemd/system/%{name}.service
%else
 %if 0%{?suse_version}
  %{__install} -p -D -m 0644 %{S:4} %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
 %else
  %{__install} -p -D -m 0644 %{S:4} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
 %endif
 %{__install} -p -D -m 0755 %{S:1} %{buildroot}%{_initrddir}/%{name}
 ln -sf ../../etc/init.d/lsyncd %{buildroot}%{_sbindir}/rclsyncd
%endif
%__install -Dm 755 %{S:2} %{buildroot}%{_sysconfdir}/lsyncd/lsyncd.conf
%__install -Dm 755 %{S:3} %{buildroot}%{_sysconfdir}/lsyncd/rsync_sudo.sh

# cleanup docdir install
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%post
%if 0%{?suse_version}
%{fillup_and_insserv lsyncd}
%else
if [ $1 -eq 1 ]; then
    %if 0%{?suse_version} >= 1310 || 0%{?sles_version} >= 12 || 0%{?rhel} >= 7
	systemctl enable %{name} || :
    %else
    	/sbin/chkconfig --add %{name}
    %endif
fi
%endif
%preun
if [ $1 -eq 0 ]; then
	%if 0%{?suse_version} >= 1310 || 0%{?sles_version} >= 12 || 0%{?rhel} >= 7
		systemctl stop %{name} || :
		systemctl disable %{name} || :
	%else
	    /sbin/service %{name} stop &>/dev/null || :
	    /sbin/chkconfig --del %{name}
	%endif
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service %{name} condrestart &>/dev/null || :
fi

%files
%defattr(-, root, root, 0755)
%doc ChangeLog COPYING
%doc examples/*.lua
%doc %{_mandir}/man1/lsyncd.1*
%{_bindir}/lsyncd
%if 0%{?suse_version} >= 1310 || 0%{?sles_version} >= 12 || 0%{?rhel} >= 7
/usr/lib/systemd/system/%{name}.service
%else
%{_sbindir}/rclsyncd
%dir %{_sysconfdir}/%{name}
%{_initrddir}/%{name}
%if 0%{?suse_version}
%{_localstatedir}/adm/fillup-templates/sysconfig.%{name}
%else
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%endif
%endif
%config(noreplace) %{_sysconfdir}/%{name}/lsyncd.conf
%config(noreplace) %{_sysconfdir}/%{name}/rsync_sudo.sh
%dir %{_localstatedir}/log/%{name}

%changelog
* Wed Dec  3 2014 cs@linux-administrator.com
- add systemd service file for distributions which support it
* Fri May  3 2013 cs@linux-administrator.com
- update to release 2.1.4
* Mon Apr  9 2012 cs@linux-administrator.com
- update to release 2.0.7
* Sat Mar 31 2012 cs@linux-administrator.com
- prepare for cross distribution build
